#version 460

// uniforms
uniform sampler2D tex, tex2;

// interpolated inputs
in vec2 tc;
in 	vec3 n;
in 	vec3 ld;

// output
out vec4 color;

void main() {

	// get texture color
	vec4 diffColor = texture(tex, tc);
	vec4 fluorColor = texture(tex2, tc);

	// normalize normal
	vec3 nn = normalize(n);

    // compute light intensity at the surface
	float intensity = max(dot(nn, ld), 0.0);
	
    // compute coefficient for fluorescent texture
	float f	= smoothstep(0.1, 0.6, intensity);

	color = diffColor + fluorColor * (1-f);
	
	color = max(intensity, 0.3) * color ;
}